@import url("./bootstrap.min.css");
/*@import url("./bootstrap-theme.min.css");*/
@import url("./faradmin.min.css");
@import url("./skins/_all-skins.css");
@import url("./iconfont.min.css");
@import url("./font-awesome.min.css");
@import url("./toastr.min.css");
@import url("./layer.min.css");
@import url("./bootstrap-table.min.css");
@import url("./bootstrap-datetimepicker.min.css");
@import url("./daterangepicker.min.css");
@import url("./jquery.validator.min.css");
@import url("./selectpage.min.css");
@import url("./mvc5-grid.min.css");
@import url("./ekko-lightbox.css");

body {
  background: #f1f4f6;
  font-size:13px !important;
}
body.is-dialog {
  background: #fff;
}
.selection {
  position: absolute;
  border: 1px solid #8B9;
  background-color: #BEC;
}
.main-header .logo,
.main-header .navbar {
  -webkit-transition: none;
  -moz-transition: none;
  -o-transition: none;
  transition: none;
}
.main-header .navbar {
  position: relative;
}
.main-header .navbar .sidebar-toggle {
  position: absolute;
  width: 45px;
  text-align: center;
}
.main-header .navbar #nav {
  position: absolute;
  left: 45px;
}
.main-header .navbar .navbar-custom-menu {
  position: absolute;
  right: 0;
}
.bootstrap-dialog .modal-dialog {
  /*width: 70%;*/
  max-width: 885px;
}
/*iOS兼容*/
html.ios-fix,
html.ios-fix body {
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}
.content {
  min-height: 500px;
}
#header {
  background: #fff;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.05), 0 1px 0 rgba(0, 0, 0, 0.05);
}
.content-wrapper {
  position: relative;
}
.control-relative {
  position: relative;
}
.tab-addtabs {
  overflow: hidden;
}
.tab-addtabs .tab-pane {
  height: 100%;
  width: 100%;
}
.row-between .col-xs-6 + .col-xs-6:before {
  content: "-";
  position: absolute;
  left: -2%;
  top: 6px;
}
@media only screen and (min-width: 481px) {
  .row-flex {
    display: flex;
    flex-wrap: wrap;
  }
  .row-flex > [class*='col-'] {
    display: flex;
    flex-direction: column;
  }
  .row-flex.row:after,
  .row-flex.row:before {
    display: flex;
  }
}
@media (max-width: 991px) {
  .main-header .navbar-custom-menu a.btn-danger {
    color: #fff;
    background-color: #e74c3c;
  }
  .main-header .navbar-custom-menu a.btn-primary {
    color: #fff;
    background-color: #2c3e50;
  }
}
.common-search-table {
  min-height: 20px;
  padding: 15px;
  margin-bottom: 15px;
  background-color: #f5f5f5;
}
.searchit {
  border-bottom: 1px dashed #3c8dbc;
}
/* 固定的底部按钮 */
.fixed-footer {
  position: fixed;
  bottom: 0;
  background-color: #ecf0f1;
  width: 100%;
  margin-bottom: 0;
  padding: 10px;
}
/* 包裹在layer外层 */
.layer-footer {
  display: none;
}
table.table-template {
  overflow: hidden;
}
.sp_container .msg-box {
  position: absolute;
  right: 0;
  top: 0;
}
.toast-top-right-index {
  top: 62px;
  right: 12px;
}
.bootstrap-select .status {
  background: #f0f0f0;
  clear: both;
  color: #999;
  font-size: 12px;
  font-weight: 500;
  line-height: 1;
  margin-bottom: -5px;
  padding: 10px 20px;
}
.img-center {
  margin: 0 auto;
  display: inline;
  float: none;
}
/*
 * RIBBON
 */
#ribbon {
  overflow: hidden;
  padding: 15px 15px 0 15px;
  position: relative;
}
#ribbon a {
  color: #777 !important;
  text-decoration: none !important;
}
#ribbon .breadcrumb {
  display: inline-block;
  margin: 0;
  padding: 0;
  background: none;
  vertical-align: top;
}
#ribbon .breadcrumb > .active,
#ribbon .breadcrumb li {
  color: #aaa;
}
#ribbon .shortcut a {
  margin-left: 10px;
}
.is-dialog #main {
  background: #fff;
}
form.form-horizontal .control-label {
  font-weight: normal;
}
form.form-horizontal .required { font-weight:bold !important;}
    form.form-horizontal .required::before { content:"*";}

form.form-horizontal .form-group { margin-bottom:0px !important; padding:8px 0 !important; margin-left:10px; margin-right:10px; }
    /*form.form-horizontal .form-group:nth-child(even) { background-color:#f9f9f9; border-top:1px #f4f4f4 solid; }*/
form.form-horizontal .form-group.footer-group { background-color:#fff; border:none; }
form.form-horizontal .form-group.footer-group .control-label { margin-right:12px; }
form.form-horizontal .form-group.footer-group .btn { margin-right:20px; width:98px; }

form.form-horizontal .displaytxt { padding-top:7px; display:inline-block; color:#000;}
form.form-horizontal .control-header { margin-right:12px; font-weight:bold; border-bottom:1px #666 solid; }
form.form-horizontal .display-control {
    display: block;
    width: 100%;
    min-height: 31px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #000;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px !important;
}


.user-panel > .image img {
  width: 45px;
  height: 45px;
}
/*panel扩展描述样式*/
.panel-intro {
  margin-bottom: 0;
  border: none;
}
.panel-intro > .panel-heading {
  padding: 15px;
  padding-bottom: 0;
  background: #e8edf0;
  border-color: #e8edf0;
  position: relative;
}
.panel-intro > .panel-heading .panel-lead {
  margin-bottom: 15px;
}
.panel-intro > .panel-heading .panel-lead em {
  display: block;
  font-weight: bold;
  font-style: normal;
}
.panel-intro > .panel-heading .panel-title {
  height: 25px;
  font-weight: normal;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.panel-intro > .panel-heading .panel-control {
  height: 42px;
  position: absolute;
  top: 8px;
  right: 8px;
}
.panel-intro > .panel-heading .panel-control .fa {
  font-size: 14px;
}
.panel-intro > .panel-heading .nav-tabs {
  border-bottom: 0;
  margin-bottom: 0;
}
.panel-intro > .panel-heading .nav-tabs > li > a {
  margin-right: 4px;
  color: #95a5a6;
  background-color: #d8e0e6;
  border: 1px solid #e8edf0;
  border-bottom-color: transparent;
}
.panel-intro > .panel-heading .nav-tabs > li > a:hover,
.panel-intro > .panel-heading .nav-tabs > li > a:focus {
  border: 1px solid #e8edf0;
  color: #7b8a8b;
  background-color: #c9d4dc;
}
.panel-intro > .panel-heading .nav-tabs > li.active > a,
.panel-intro > .panel-heading .nav-tabs > li.active > a:hover,
.panel-intro > .panel-heading .nav-tabs > li.active > a:focus {
  color: #7b8a8b;
  background-color: #ffffff;
  border-bottom-color: transparent;
  cursor: default;
}
/*单表格*/
.panel-tabs .panel-heading {
  padding: 12px 15px 12px 15px;
}
.panel-tabs .panel-heading .panel-lead {
  margin-bottom: 0px;
}
/*选项卡*/
.panel-nav .panel-heading {
  padding: 0px;
  padding-bottom: 0;
  background: #f1f4f6;
  border-color: #f1f4f6;
}
.panel-nav .nav-tabs > li > a {
  padding: 12px 15px;
  background-color: #e8edf0;
  border: 1px solid #f1f4f6;
}
.panel-nav .nav-tabs > li > a:hover,
.panel-nav .nav-tabs > li > a:focus {
  border: 1px solid #e8edf0;
  background-color: #e8edf0;
}
.panel-nav .nav-tabs > li.active > a,
.panel-nav .nav-tabs > li.active > a:hover,
.panel-nav .nav-tabs > li.active > a:focus {
  border-color: #f1f4f6;
  border-bottom-color: transparent;
}
/*顶栏addtabs*/
.nav-addtabs {
  border: none;
}
.nav-addtabs.disable-top-badge > li > a > .pull-right-container {
  display: none;
}
.nav-addtabs > li {
  margin: 0;
}
.nav-addtabs > li > a {
  height: 49px;
  line-height: 49px;
  padding: 0 15px;
  border-radius: 0;
  border: none;
  border-right: 1px solid rgba(0, 0, 0, 0.05);
  margin: 0;
  color: #95a5a6;
}
.nav-addtabs > li > a:hover,
.nav-addtabs > li > a:focus {
  border: none;
  color: #2c3e50;
  border-right: 1px solid rgba(0, 0, 0, 0.05);
}
.nav-addtabs > li > a i {
  margin-right: 3px;
}
.nav-addtabs > li.active > a {
  height: 49px;
  line-height: 49px;
  padding: 0 15px;
  border-radius: 0;
  border: none;
  border-right: 1px solid rgba(0, 0, 0, 0.05);
  background: #f1f4f6;
  color: #2c3e50;
  overflow: hidden;
}
.nav-addtabs > li.active > a:hover,
.nav-addtabs > li.active > a:focus {
  border: none;
  color: #2c3e50;
  border-right: 1px solid rgba(0, 0, 0, 0.05);
  background: #f1f4f6;
}
.nav-addtabs > li .close-tab {
  font-size: 10px;
  position: absolute;
  right: 5px;
  top: 50%;
  margin-top: -7px;
  z-index: 100;
  cursor: hand;
  cursor: pointer;
  color: #fff;
  display: none;
}
.nav-addtabs .open > a:hover,
.nav-addtabs .open > a:focus {
  border-right: 1px solid rgba(0, 0, 0, 0.05);
}
.nav-addtabs ul li {
  position: relative;
}
.nav-addtabs li:hover > .close-tab {
  display: block;
}
.main-sidebar .sidebar-form {
  overflow: visible;
}
.main-sidebar .sidebar-form .menuresult {
  z-index: 999;
  position: absolute;
  top: 34px;
  left: -1px;
  width: 100%;
  max-height: 250px;
  overflow: auto;
  margin: 0;
  border-top: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
.main-sidebar .sidebar-form .menuresult a {
  border-top: 1px solid #eee;
  background-color: #fff;
  border-bottom: 1px solid #eee;
  margin-bottom: -1px;
  display: block;
  padding: 10px 15px;
  color: #222d32;
}
.main-sidebar .sidebar-form .menuresult a:hover {
  background: #eee;
}
.input-group .sp_result_area {
  width: 100%;
}
.sidebar-menu.show-submenu .treeview-menu {
  display: block;
}
.sidebar-menu > li .badge {
  margin-top: 0;
}
.sidebar-collapse .user-panel > .image img {
  width: 25px;
  height: 25px;
}
@media (min-width: 768px) {
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
    top: 41px;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > .pull-right-container {
    top: 7px!important;
    height: 17px;
  }
}
.fieldlist dd {
  display: block;
  margin: 5px 0;
}
.fieldlist dd input {
  display: inline-block;
  width: 300px;
}
.fieldlist dd input:first-child {
  width: 110px;
}
.fieldlist dd ins {
  min-width: 20px;
  display: inline-block;
  text-decoration: none;
  font-weight: bold;
}
/* 弹窗中的表单 */
.form-layer {
  height: 100%;
  min-height: 150px;
  min-width: 300px;
}
.form-layer .form-body {
  width: 100%;
  overflow: auto;
  top: 0;
  position: absolute;
  z-index: 10;
  bottom: 50px;
  padding: 15px;
}
.form-layer .form-footer {
  height: 50px;
  line-height: 50px;
  background-color: #ecf0f1;
  width: 100%;
  position: absolute;
  z-index: 200;
  bottom: 0;
  margin: 0;
}
.form-layer .form-footer .form-group {
  margin-left: 0;
  margin-right: 0;
}
#treeview .jstree-container-ul .jstree-node {
  display: block;
  clear: both;
}
#treeview .jstree-leaf:not(:first-child) {
  float: left;
  background: none;
  margin-left: 0;
  width: 80px;
  clear: none;
}
#treeview .jstree-leaf {
  float: left;
  margin-left: 0;
  padding-left: 24px;
  width: 80px;
  clear: none;
  color: #777;
}
#treeview .jstree-leaf > .jstree-icon,
#treeview .jstree-leaf .jstree-themeicon {
  display: none;
}
#treeview .jstree-last {
  background-image: url("../img/32px.png");
  background-position: -292px -4px;
  background-repeat: repeat-y;
}
#treeview .jstree-children:before,
#treeview .jstree-children:after {
  content: " ";
  display: table;
}
#treeview .jstree-children:after {
  clear: both;
}
#treeview .jstree-themeicon {
  display: none;
}
/*去除bootstrap-table的边框*/
.fixed-table-container {
  border: none!important;
}
/*修复nice-validator新版下的一处BUG*/
.nice-validator input,
.nice-validator select,
.nice-validator textarea,
.nice-validator [contenteditable] {
  display: inline-block;
  *display: inline;
  *zoom: 1;
}
/*修复nice-validator和summernote的编辑框冲突*/
.nice-validator .note-editor .note-editing-area .note-editable {
  display: inherit;
}
/*预览区域*/
.plupload-preview {
  padding: 0 10px;
  margin-bottom: 0;
}
.plupload-preview li {
  margin-top: 15px;
}
.plupload-preview .thumbnail {
  margin-bottom: 10px;
}
.plupload-preview a {
  display: block;
}
.plupload-preview a:first-child {
  height: 90px;
}
.plupload-preview a img {
  height: 80px;
  object-fit: cover;
}
.pjax-loader-bar .progress {
  position: fixed;
  top: 0;
  left: 0;
  height: 2px;
  background: #77b6ff;
  box-shadow: 0 0 10px rgba(119, 182, 255, 0.7);
  -webkit-transition: width 0.4s ease;
  transition: width 0.4s ease;
}
.dropdown-menu.text-left a,
.dropdown-menu.text-left li {
  text-align: left!important;
}
.bootstrap-table .fixed-table-toolbar .dropdown-menu {
  overflow: auto;
}
.toolbar {
  margin-top: 10px;
  margin-bottom: 10px;
}
.fixed-table-toolbar .bs-bars,
.fixed-table-toolbar .columns,
.fixed-table-toolbar .search {
  line-height: inherit;
}
.fixed-table-toolbar .toolbar {
  margin-top: 0;
  margin-bottom: 0;
}
.fixed-table-toolbar .toolbar a{
    margin:0 2px 0 0 !important;
}
.fixed-table-toolbar .toolbar .btn-group a{
    margin:0 !important;
}

.bootstrap-table table tbody tr:first-child td .bs-checkbox {
  vertical-align: middle;
}
.bootstrap-table td.bs-checkbox {
  vertical-align: middle;
}
.dropdown-submenu {
  position: relative;
}
.dropdown-submenu > .dropdown-menu {
  overflow: auto;
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  -webkit-border-radius: 0 6px 6px 6px;
  -webkit-background-clip: padding-box;
  -moz-border-radius: 0 6px 6px 6px;
  -moz-background-clip: padding;
  border-radius: 0 6px 6px 6px;
  background-clip: padding-box;
}
.dropdown-submenu:hover > .dropdown-menu {
  display: block;
}
.dropdown-submenu:hover > a:after {
  border-left-color: #fff;
}
.dropdown-submenu > a:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  border-width: 5px 0 5px 5px;
  border-left-color: #ccc;
  margin-top: 5px;
  margin-right: -10px;
}
.dropdown-submenu.pull-left {
  float: none;
}
.dropdown-submenu.pull-left > .dropdown-menu {
  left: -100%;
  margin-left: 10px;
  -webkit-border-radius: 6px 0 6px 6px;
  -webkit-background-clip: padding-box;
  -moz-border-radius: 6px 0 6px 6px;
  -moz-background-clip: padding;
  border-radius: 6px 0 6px 6px;
  background-clip: padding-box;
}
/*重写toast的几个背景色*/
.toast-primary {
  background-color: #48c9b0!important;
}
.toast-success {
  background-color: #18bc9c!important;
}
.toast-error {
  background-color: #e74c3c!important;
}
.toast-info {
  background-color: #5dade2!important;
}
.toast-warning {
  background-color: #f1c40f!important;
}
.toast-inverse {
  background-color: #34495e!important;
}
.toast-default {
  background-color: #bdc3c7!important;
}
#toast-container > div,
#toast-container > div:hover {
  -webkit-box-shadow: 0 0 3px #eee;
  -moz-box-shadow: 0 0 3px #eee;
  box-shadow: 0 0 3px #eee;
}
.layui-layer-fast {
  /*自定义底部灰色操作区*/
}
.layui-layer-fast .layui-layer-title {
  background: #2c3e50!important;
  color: #fff!important;
  border-bottom: none;
}
.layui-layer-fast .layui-layer-title ~ .layui-layer-setwin {
  top: 0px;
  height: 42px;
}
.layui-layer-fast .layui-layer-title ~ .layui-layer-setwin > a {
  height: 42px;
  line-height: 42px;
  display: inline-block;
}
.layui-layer-fast.layui-layer-border {
  border: none!important;
  box-shadow: 1px 1px 50px rgba(0, 0, 0, 0.3) !important;
}
.layui-layer-fast.layui-layer-iframe {
  overflow: visible;
}
.layui-layer-fast .layui-layer-moves {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}
.layui-layer-fast .layui-layer-btn {
  text-align: center!important;
  padding: 10px!important;
  background: #ecf0f1;
  overflow: hidden;
}
.layui-layer-fast .layui-layer-btn a {
  background-color: #95a5a6;
  border-color: #95a5a6;
  color: #fff!important;
  height: 31px;
  line-height:31px;
  margin-top: 0;
  border: 1px solid transparent;
  padding:0 25px;
  margin:0 20px;
}
.layui-layer-fast .layui-layer-btn .layui-layer-btn0 {
  background-color: #18bc9c;
  border-color: #18bc9c;
}
.layui-layer-fast .layui-layer-footer {
  padding: 8px 20px;
  background-color: #ecf0f1;
  height: auto;
  text-align: inherit!important;
}
.layui-layer-fast .layui-layer-setwin > a {
  background: none!important;
}
.layui-layer-fast .layui-layer-setwin > a cite {
  display: none;
}
.layui-layer-fast .layui-layer-setwin > a:after {
  content: "\e625";
  font-family: iconfont;
  font-style: normal;
  font-weight: normal;
  text-decoration: inherit;
  position: absolute;
  font-size: 18px;
  color: #fff;
  margin: 0;
  z-index: 1;
}
.layui-layer-fast .layui-layer-setwin > a:hover {
  text-decoration: none!important;
  background: none!important;
}
.layui-layer-fast .layui-layer-setwin > a:focus {
  text-decoration: none!important;
}
.layui-layer-fast .layui-layer-setwin .layui-layer-min {
  display: none;
}
.layui-layer-fast .layui-layer-setwin .layui-layer-min:after {
  content: "\e625";
}
.layui-layer-fast .layui-layer-setwin .layui-layer-max {
  display: none;
}
.layui-layer-fast .layui-layer-setwin .layui-layer-max:after {
  content: "\e623";
}
.layui-layer-fast .layui-layer-setwin .layui-layer-maxmin {
  display: none;
}
.layui-layer-fast .layui-layer-setwin .layui-layer-maxmin:after {
  content: "\e624";
}
.layui-layer-fast .layui-layer-setwin .layui-layer-close1:after {
  content: "\e626";
}
.layui-layer-fast .layui-layer-setwin .layui-layer-close2,
.layui-layer-fast .layui-layer-setwin .layui-layer-close2:hover {
  background: url('../libs/layer/dist/theme/default/icon.png') no-repeat -149px -31px !important;
  top: -30px;
  right: -30px;
}
.layui-layer-fast .layui-layer-setwin .layui-layer-close2:after,
.layui-layer-fast .layui-layer-setwin .layui-layer-close2:hover:after {
  display: none;
}
.layui-layer-content {
  clear: both;
}
.layui-layer-fast-msg {
  min-width: 100px;
  border-radius: 2px;
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
}
.layui-layer-fast-msg .layui-layer-content {
  padding: 12px 25px;
  text-align: center;
}
.n-bootstrap .input-group > .n-right {
  position: absolute;
}
@media (min-width: 564px) {
  body.is-dialog .daterangepicker {
    min-width: 130px;
  }
  body.is-dialog .daterangepicker .ranges ul {
    width: 130px;
  }
}

.layui-layer-footer .btn { margin-right:25px; min-width:98px;}

/*手机版样式*/
@media (max-width: 480px) {
  .nav-addtabs {
    display: none;
  }
  .fixed-table-toolbar .columns-right.btn-group {
    display: none;
  }
  .fixed .content-wrapper,
  .fixed .right-side {
    padding-top: 50px;
  }
}
/*平板样式*/
@media (max-width: 768px) {
  .n-bootstrap .n-right {
    margin-top: 0;
    top: -20px;
    position: absolute;
    left: 0;
    text-align: right;
    width: 100%;
  }
  .n-bootstrap .n-right .msg-wrap {
    position: relative;
  }
  .n-bootstrap .col-xs-12 > .n-right .msg-wrap {
    margin-right: 15px;
  }
}
/*修复radio和checkbox样式对齐*/
.radio > label,
.checkbox > label {
  margin-right: 10px;
}
.radio > label > input,
.checkbox > label > input {
  margin: 2px 0 0;
}
.wipecache li a {
  color: #444444!important;
}

/****************************************************** 新的Checkbox式样 */
.label-text {
    position: relative;
    color:#333;
    font-weight:normal;
    line-height:12px;
	cursor: pointer;
}

.farcheckbox input[type="checkbox"], .farcheckbox input[type="radio"]{
	position: absolute;
	right: 9000px;
}

.farcheckbox input[type="checkbox"] + .label-text:before{
	content: "\f096";
	font-family: "FontAwesome";
    font-size:18px;
    line-height:31px;
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	-webkit-font-smoothing:antialiased;
	width: 1em;
	display: inline-block;
	color: #2980b9;
}

.farcheckbox input[type="checkbox"]:checked + .label-text:before{
	content: "\f14a";
	color: #2980b9;
	animation: effect 250ms ease-in;
}

.farcheckbox input[type="checkbox"][disabled="disabled"]:checked + .label-text:before {
	color: #aaa;
}
.farcheckbox input[type="checkbox"][disabled="disabled"] + .label-text:before {
	color: #aaa;
}

.farcheckbox li { float:left;}
.farcheckbox li.block { display:block; float:none;}

/*Radio box*/
input[type="radio"] + .label-text:before{
	content: "\f10c";
	font-family: "FontAwesome";
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
    font-size:18px;
	line-height: 1;
	-webkit-font-smoothing:antialiased;
	width: 1em;
	display: inline-block;
	margin-right: 10px;
	color: #2980b9;
}

input[type="radio"]:checked + .label-text:before{
	content: "\f192";
	color: #2980b9;
	animation: effect 250ms ease-in;
}

input[type="radio"]:disabled + .label-text{
	color: #aaa;
}

input[type="radio"]:disabled + .label-text:before{
	content: "\f111";
	color: #ccc;
}

/*Radio Toggle*/

.toggle input[type="radio"] + .label-text:before{
	content: "\f204";
	font-family: "FontAwesome";
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
	-webkit-font-smoothing:antialiased;
	width: 1em;
	display: inline-block;
	margin-right: 10px;
}

.toggle input[type="radio"]:checked + .label-text:before{
	content: "\f205";
	color: #16a085;
	animation: effect 250ms ease-in;
}

.toggle input[type="radio"]:disabled + .label-text{
	color: #aaa;
}

.toggle input[type="radio"]:disabled + .label-text:before{
	content: "\f204";
	color: #ccc;
}


@keyframes effect{
	0%{transform: scale(0);}
	25%{transform: scale(1.3);}
	75%{transform: scale(1.4);}
	100%{transform: scale(1);}
}

/* ---------------------------------------------------
Project : CSS Checkbox Switch
---------------------------------------------------- */
.checkbox.checbox-switch {
    padding-left: 0;
}

.checkbox.checkbox-switch label,
.checkbox-inline.checkbox-switch {
    display: inline-block;
    position: relative;
    padding-left: 0;
    color:#333;
}
.checkbox.checkbox-switch label input,
.checkbox-inline.checkbox-switch input {
    display: none;
}
.checkbox.checkbox-switch label span,
.checkbox-inline.checkbox-switch span {
    width: 35px;
    border-radius: 20px;
    height: 18px;
    border: 1px solid #dbdbdb;
    background-color: rgb(255, 255, 255);
    border-color: rgb(223, 223, 223);
    box-shadow: rgb(223, 223, 223) 0px 0px 0px 0px inset;
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s;
    display: inline-block;
    vertical-align: middle;
    margin-right: 5px;
}
.checkbox.checkbox-switch label span:before,
.checkbox-inline.checkbox-switch span:before {
    display: inline-block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background: rgb(255,255,255);
    content: " ";
    top: 0;
    position: relative;
    left: 0;
    transition: all 0.3s ease;
    box-shadow: 0 1px 4px rgba(0,0,0,0.4);
}
.checkbox.checkbox-switch label > input:checked + span:before,
.checkbox-inline.checkbox-switch > input:checked + span:before {
    left: 17px;
}

/* Switch Success */
.checkbox.checkbox-switch.switch-success label > input:checked + span,
.checkbox-inline.checkbox-switch.switch-success > input:checked + span {
    background-color: rgb(40, 167, 69);
    border-color: rgb(40, 167, 69);
    box-shadow: rgb(40, 167, 69) 0px 0px 0px 8px inset;
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s, background-color 1.2s ease 0s;
}
.checkbox.checkbox-switch.switch-success label > input:checked:disabled + span,
.checkbox-inline.checkbox-switch.switch-success > input:checked:disabled + span {
    background-color: rgb(153, 217, 168);
    border-color: rgb(153, 217, 168);
    box-shadow: rgb(153, 217, 168) 0px 0px 0px 8px inset;
}
/* Switch Primary */
.checkbox.checkbox-switch.switch-primary label > input:checked + span,
.checkbox-inline.checkbox-switch.switch-primary > input:checked + span {
    background-color: rgb(0, 105, 217);
    border-color: rgb(0, 105, 217);
    box-shadow: rgb(0, 105, 217) 0px 0px 0px 8px inset;
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s, background-color 1.2s ease 0s;
}
.checkbox.checkbox-switch.switch-primary label > input:checked:disabled + span,
.checkbox-inline.checkbox-switch.switch-primary > input:checked:disabled + span {
    background-color: rgb(109, 163, 221);
    border-color: rgb(109, 163, 221);
    box-shadow: rgb(109, 163, 221) 0px 0px 0px 8px inset;
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s, background-color 1.2s ease 0s;
}

/* page class */
.panel-fast-body { padding-bottom:5px !important; padding-top:5px !important; }
ul { list-style:none; margin:0; padding:0;}
.clear { clear: both; height: 0; font-size: 0; line-height: 0; }

/* Page Styles */

/* Init */
.col-chk { width:30px; text-wrap:none; white-space:nowrap; text-align:center !important; padding-top:10px !important; padding-bottom:0 !important;}

.col-1 { width:1%; text-wrap:none; white-space:nowrap; text-align:center;}
.col-2 { width:2%; text-wrap:none; white-space:nowrap; text-align:center;}
.col-5 { width:5%; white-space:nowrap; }
.col-8 { width:8%; white-space:nowrap; }
.col-10 { width:10%; white-space:nowrap; text-align:left;}
.col-15 { width:15%; white-space:nowrap; text-align:left;}
.col-20 { width:20%;text-align:left;}
.col-25 { width:25%;text-align:left;}
.col-30 { width:30%;text-align:left;}
.col-40 { width:40%;text-align:left;}
.col-50 { width:50%;text-align:left;}
.col-55 { width:55%;text-align:left;}
.col-60 { width:60%;text-align:left;}
.col-70 { width:70%;text-align:left;}
.col-75 { width:75%;text-align:left;}
.col-90 { width:90%;text-align:left;}
.col-99 { width:99%;text-align:left;}
.col-right {text-align:right;}
.col-left {text-align:left !important;}
.col-center {text-align:center;}
.col-wrap { white-space:normal;}
.nowrap {white-space:nowrap; }

/** Pagination */
.pagination-total, .pagination-refresh { float:left; display:inline; }
.pagination-refresh { width:50px;}
    .pagination-refresh li { float:left; display:inline; padding-top:5px;}
.pagination-total {min-width:200px;}
    .pagination-total li { float:left; padding:10px 10px 0 0; display:inline; color:#333; font-size:12px; }

/* AW Font */
.awe12 { font-size:12px;}
.awe14 { font-size:14px;}
.awe16 { font-size:16px;}
.awe20 { font-size:20px;}
.awe28 { font-size:28px;}
.awe38 { font-size:38px;}
.awe48 { font-size:48px;}
.awe88 { font-size:88px;}
.awe188 { font-size:188px;}

.pl5 { padding-left:5px;}
.pl15 { padding-left:15px;}
.pr5 { padding-right:5px;}
.pr15 { padding-right:15px;}
.pr25 { padding-right:25px;}
.pr35 { padding-right:35px;}
.pr45 { padding-right:45px;}

.ml15 { margin-left:15px;}

.mtop5 { margin-top:5px;}

.fff { color:#fff;}
.ccc { color:#ccc;}
.c66 { color:#666;}
.c33 { color:#333 !important;}
.blue { color:#337ab7;}
.red {color:#f00;}
.yellow {color:#ff6a00;}
.green { color: #1d9d74;}
.trans { filter:alpha(opacity=50); opacity:0.5;}

.fa-bule { color:#3c8dbc;}
.fa-red { color:#e43725;}
.fa-yellow { color:#e08e0b;}
.fa-purple { color:#555299;}
.fa-green { color:#15a589;}

.lh35 { line-height:35px !important;}
.w-n { font-weight:300 !important; font-size:12px !important;}
.w-n2 { font-weight:400 !important; font-size:12px !important;}

.aweinput { display:inline-block; width:42px; height:40px; line-height:38px; text-align:center; border:1px #8a9ba8 solid; border-radius:4px; border-right:0; border-top-right-radius:0; border-bottom-right-radius:0; background-color:#f0f0f0; }
	.aweinput i { color:#666; padding:0; }
.icon-box { font-size:28px; display:block; padding:5px; color:#fff;}
.icon-box:hover { text-decoration:none; color:#fff;}

.colorbox { width:18px; height:18px; border:1px #ccc solid; border-radius:2px;}

/* for grid buttom*/
a.awelink, a.awelink:link, a.awelink:visited { text-align:center; text-decoration:none; color:#2e6da4; line-height:10px; display:block; }
a.awelink .awebox { color:#2e6da4;  margin:0; width:40px; height:40px; text-align:center; line-height:40px; border:1px #fff solid; border-radius:2px; display:block; text-align:center;}
    a.awelink .awebox:hover {color:#fff; background-color:#2e6da4; text-decoration:none; border:1px #2e6da4 solid; }

/** MVC Grid */
.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #fafafa;
}
.table-hover > tbody > tr:hover {
  background-color: #eefada;
}
.table-hover > tbody > tr.selected td {
  background-color: #eefada;
}

.fixed-table-container .mvc-grid thead th .desc {
    background:none !important;
}
.fixed-table-container .mvc-grid thead th .asc {
    background:none !important;
}

/** img in grid*/
.img-grid { width:42px; height:52px; padding:1px; border:1px #e8edf0 solid; background-color:#fff;}

.mvc-grid tr td span.date {display: block; color: #666; font-size: 11px; line-height:10px !important;}

/* search bar: simply*/
.search-bar ul li { float:left; padding:0; margin:0;  }
    .search-bar ul li span {line-height:32px; font-size:12px; margin:0 5px;}
    .search-text { border-right:none;}
    .search-btn { border-radius:0; border-left:none;}
    .search-focus { border-color:#3c8dbc;}

/* far form */
.farform-box { clear:both; padding:15px 10px 10px 10px;}
.errorbox { background:url(images/common-no-data.png) no-repeat 50% bottom; min-height:380px;}

.form-group ul.form-ul { margin-bottom:10px; margin-top:10px;}    
    .form-group ul.form-ul li { margin:10px 0;}
    .form-group ul.form-ul li span.title { display:inline-block; width:120px; padding-right:40px;}
    .form-group ul.form-ul li.sublititle { padding-left:20px;}
    .form-group ul.form-ul li label { margin-right:40px;}

/* multi selcet */
.dropdown-toggle.btn-default { background-color:#fff;}
#search-form .bootstrap-select.btn-group .dropdown-toggle .filter-option { max-width:280px; }

/** for product image lisy*/
.batch-image-box { border:1px solid #ccc;width:31px; height:31px;display:inline-block; margin-bottom:-12px; overflow:hidden; padding:1px; background-color:#fff;}

/* for upload */
.upload-container { float:left; margin:0; padding:4px 0 8px 0; min-height:90px;}
	.upload-h-actbox { float:left; margin-left:10px; padding:0; min-height:90px;}
	.upload-v-actbox { margin-top:10px; padding:0; min-height:90px;}
	.upload-selectbox { position:relative; width:180px; height:38px; padding:0; margin:0;}
	.upload-progressbox { position:absolute; margin:0; padding:1px; width:120px; height:38px; border:1px #ccc solid; background-color:#fff; display:none;  }
    .upload-progressbar { padding:0 0 0 10px; font-size:10px; color:#edeff4; width:100px; height:34px; background-color:#1d9d74; color:#000; line-height:34px;  }
	.upload-deletebox { clear:both; padding:0; margin:18px 0 0 0; height:38px; }

a.osslink:before { font-family: 'FontAwesome'; content: "\f0f6"; padding-right: 8px; }

/* For color box in grid*/
.percentbox { margin:10px 0 0 0; padding:0 0 0 3px; height:28px; background-color: rgb(153, 217, 168); line-height:28px;}

/* Dashboard */
.sm-st {
    background:#fff;
    padding:20px;
    -webkit-border-radius:3px;
    -moz-border-radius:3px;
    border-radius:3px;
    margin-bottom:20px;
    -webkit-box-shadow: 0 1px 0px rgba(0,0,0,0.05);
    box-shadow: 0 1px 0px rgba(0,0,0,0.05);
}
.sm-st-icon {
    width:60px;
    height:60px;
    display:inline-block;
    line-height:60px;
    text-align:center;
    font-size:30px;
    background:#eee;
    -webkit-border-radius:5px;
    -moz-border-radius:5px;
    border-radius:5px;
    float:left;
    margin-right:10px;
    color:#fff;
}
.sm-st-info {
    font-size:12px;
    padding-top:2px;
}
.sm-st-info span {
    display:block;
    font-size:24px;
    font-weight:600;
}
.st-red {
    background-color: #F05050;
}
.st-green {
    background-color: #27C24C;
}
.st-violet {
    background-color: #7266ba;
}
.st-blue {
    background-color: #23b7e5;
}

/* For Baidu Map*/
.mapbox { width: 100%; height: 100%; overflow:hidden; margin:0; }

/*Date picker Short*/
.short-datetimepicker { width:88px !important; }

/*action right div */
.action-preview { width:406px; height:506px; background-color:#f2f2f2; padding:2px; border:1px #ccc solid; overflow:hidden; }
.action-preview img { width:400px; height:500px;}

.action-cardview { width:406px; height:259px; background-color:#f2f2f2; padding:2px; border:1px #ccc solid; overflow:hidden; }
.action-cardview img { width:400px; height:253px;}

.print-view { width:300px; height:190px;}
.card-review { width:200px; height:125px;}

/* for dropdownlist ,fixed width */
.ddl58 { width:58px !important;}
.ddl88 { width:88px !important;}
.ddl128 { width:128px !important;}
.ddl188 { width:188px !important;}
.ddl208 { width:208px !important;}

select.form-control:not([size]):not([multiple]) option {
    font-size: 14px !important;
}

/* loading */
.farloading { position:absolute; top:0; left:0; width:100%; height:100%; background:url(../Content/images/loading.gif) no-repeat 50% 50%; z-index:29999999;}

/* form for display*/
.form-img { width:120px; height:140px;}

.money { font-size:14px; font-weight:bold; color:#000;}

.hide {display:none;}

.img-viewer { cursor:pointer;}